### Method

# GUPnP ResourceFactory unregister_resource_proxy_type

#### Declaration [src]

    gboolean
    gupnp_resource_factory_unregister_resource_proxy_type (
      GUPnPResourceFactory* factory,
      const char* upnp_type
    )

#### Description [src]

Unregisters the GType assignment for the proxy of resource of UPnP type `upnp_type`.

#### Parameters

`upnp_type` | `const char*`
| The UPnP type name of the resource.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if GType assignment was removed successfully, `FALSE` otherwise.